Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596041 - Failed to run virt-who-0.22.2-5 with error "ImportError: No module named libvirt"
Summary: Failed to run virt-who-0.22.2-5 with error "ImportError: No module named libv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: 7.7
Assignee: William Poteat
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 06:44 UTC by Eko
Modified: 2018-10-30 10:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:47:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin virt-who pull 164 None None None 2018-08-02 19:13:40 UTC
Red Hat Product Errata RHBA-2018:3169 None None None 2018-10-30 10:48:17 UTC

Comment 2 Kevin Howell 2018-06-28 14:31:14 UTC
Dev, let's just add requirement for python-libvirt.

Possible future work could make the dependency optional (big factor is does libvirt automatically install python-libvirt?) [use case: customer does want to use libvirt w/ virt-who, they should be able to use both by install libvirt and virt-who packages only]

Comment 3 Eko 2018-08-17 03:25:43 UTC
Hi Dev, 
Please create the new virt-who package for rhel7.6 next compose, thus we can test and verify it early, thanks.

Comment 8 errata-xmlrpc 2018-10-30 10:47:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3169


Note You need to log in before you can comment on or make changes to this bug.